import { select, arc } from 'd3';

const svg = select('svg');

const width = +svg.attr('width');
const height = +svg.attr('height');

const g = svg.append('g')
  .attr('transform', `translate(${width / 2}, ${height /2})`);

const circle = g.append('circle');
circle.attr('r', height/2);
circle.attr('fill', 'lightgreen');
circle.attr('stroke', 'black');


const eyeSpacing = 51;
const eyeYOffset = -89;
const eyeRadius = 10;
const eyebrowWidth = 70;
const eyebrowHeight = 10;
const eyebrowYOffset = -50;

const eyesG = g
  .append('g')
    .attr('transform', `translate(0, ${eyeYOffset})`);
const leftEye = eyesG
  .append('circle')
    .attr('r', eyeRadius/2)
    .attr('cx', -eyeSpacing);

const rightEye = eyesG
  .append('circle')
    .attr('r', eyeRadius)
    .attr('cx', eyeSpacing);

const eyebrowsG = eyesG
  .append('g')
    .attr('transform', `translate(0, ${eyebrowYOffset})`);

eyebrowsG
  .transition().duration(1000)
    .attr('transform', `translate(0, ${eyebrowYOffset - 20})`)
  .transition().duration(3000)
    .attr('transform', `translate(0, ${eyebrowYOffset})`);

const leftEyebrow = eyebrowsG
  .append('rect')
    .attr('x', -eyeSpacing - eyebrowWidth / 2)
    .attr('width', eyebrowWidth/2)
    .attr('height', eyebrowHeight);

const rightEyebrow = eyebrowsG
  .append('rect')
    .attr('x', eyeSpacing - eyebrowWidth / 3)
    .attr('width', eyebrowWidth)
    .attr('height', eyebrowHeight); 

const mouth2= g
  .append('path')
    .attr('d', arc()({
      innerRadius: 70,
      outerRadius: 5,
      startAngle: Math.PI,
      endAngle: Math.PI*0.890

    }));
const mouth = g
  .append('path')
    .attr('d', arc()({
      innerRadius: 40,
      outerRadius: 20,
      startAngle: Math.PI *5/2,
      endAngle: Math.PI*3/2

    }));

const mouth3 = g
  .append('path')
    .attr('d', arc()({
      innerRadius: 10,
      outerRadius: 5,
      startAngle: Math.PI *5/2,
      endAngle: Math.PI*3/2

    }));














